.ol-map {
  min-width: 600px;
  min-height: 600px;
  height: 92vh;
}

.ol-control {
  position: absolute;
  margin: 1em;
}

.ol-control button, .map-popup-close {
  color: #fff;
  background-color: #007bff;
  border-color: #007bff;
  border-radius: .3em;
  padding: .2em .5em;
  display: block;
}

.map-popup {
  position: absolute;
  background-color: white;
  box-shadow: 0 1px 4px rgba(0,0,0,0.2);
  padding: 15px;
  border-radius: 10px;
  border: 1px solid #cccccc;
  bottom: 12px;
  left: -50px;
  min-width: 280px;
}

.map-popup:after, .map-popup:before {
  top: 100%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
}

.map-popup:after {
  border-top-color: white;
  border-width: 10px;
  left: 48px;
  margin-left: -10px;
}

.map-popup:before {
  border-top-color: #cccccc;
  border-width: 11px;
  left: 48px;
  margin-left: -11px;
}

.map-popup-close {
  position: absolute;
  top: .4em;
  right: .4em;
  padding: 0 .4em .2em .4em;
}

#popupContent ul {
  padding-left: 1em !important;
  margin-bottom: 0 !important;
}

#popupContent li {
  list-style-type: none;
}

@media only screen and (max-width: 600px) {
  .ol-map {
    height: 88vh;
  }
}